Clean up the "Required profile fields" for social media

Bug #1432988 reported by Kristina Hoeppner on 2015-03-17
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.10
High
Robert Lyon
15.04
High
Robert Lyon
15.10
High
Robert Lyon

Bug Description

When you make the social media profile information required on the site, the resulting page brings up old and new information.

To replicate:

1. Go to Admin -> Extensions -> Plugin admin -> artefact internal profile config: /admin/extensions/pluginconfig.php?plugintype=artefact&pluginname=internal&type=profile
2. Select "Social media" and save.
3. Click anywhere on the resulting page. You will see a screenshot like the attached.

The first "Social network" seems to be part of the new 1.10 functionality whereas the select box is the old functionality.

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
milestone: 15.04.0 → 15.04.1
Aaron Wells (u-aaronw) wrote :

Upgrading to high priority because, although it's sort of an obscure error to implement, it makes the site unusable.

tags: added: needs-behat
Jinelle Foley-Barnes (jinelleb) wrote :

Hi Rob,

I have attached the screenshot for you to see, check the URL you can see I've clicked institutions and this has appeared. Also clicked elsewhere and same thing appeared. I had to drop DB to get it to go away.

Cheers,
Jinelle

Jinelle Foley-Barnes (jinelleb) wrote :

And with a differend URL at the top

tags: added: has-behat
removed: needs-behat
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4723

Robert Lyon (robertl-9) wrote :

If you had done:

1. Go to Admin -> Extensions -> Plugin admin -> artefact internal profile config: /admin/extensions/pluginconfig.php?plugintype=artefact&pluginname=internal&type=profile
2. Select "Social media" and save.

Then yes this should appear if you have no social profile info saved.

It is the required prompt prompting you to add the missing data before you can proceed

It is what should happen

Reviewed: https://reviews.mahara.org/4717
Committed: http://gitorious.org/mahara/mahara/commit/d8eab8a00d3f3d52cda02b43a7b1a188e135ccd4
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit d8eab8a00d3f3d52cda02b43a7b1a188e135ccd4
Author: Robert Lyon <email address hidden>
Date: Wed Apr 29 17:27:05 2015 +1200

Bug 1432988: adjusting the required social profile field

So that it works similar to how the add social profile page works

Change-Id: I55816577ccc7b2b5f242d09408dcc6ebae88a65a
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/4728

Reviewed: https://reviews.mahara.org/4727
Committed: http://gitorious.org/mahara/mahara/commit/7ccee4cc1b11abc66a5e6c19617c8951e64e8879
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 7ccee4cc1b11abc66a5e6c19617c8951e64e8879
Author: Robert Lyon <email address hidden>
Date: Wed Apr 29 17:27:05 2015 +1200

Bug 1432988: adjusting the required social profile field

So that it works similar to how the add social profile page works

Change-Id: I55816577ccc7b2b5f242d09408dcc6ebae88a65a
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4728
Committed: http://gitorious.org/mahara/mahara/commit/34d55efaa7fc1355a30089e4a7be7178a5bf16ca
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 34d55efaa7fc1355a30089e4a7be7178a5bf16ca
Author: Robert Lyon <email address hidden>
Date: Wed Apr 29 17:27:05 2015 +1200

Bug 1432988: adjusting the required social profile field

So that it works similar to how the add social profile page works

Change-Id: I55816577ccc7b2b5f242d09408dcc6ebae88a65a
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4723
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/026376c6311c2f475be9fd3c6f98229ce5e34316
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 026376c6311c2f475be9fd3c6f98229ce5e34316
Author: Jinelle Foley-Barnes <email address hidden>
Date: Thu Apr 30 18:17:16 2015 +1200

Behat Test: Required social media (Bug 1432988)

The test needs some work, but it's a rough layout

Change-Id: I1b2ae853a4b038df6083072da9eee29200c2f30d

Reviewed: https://reviews.mahara.org/4817
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/7f951439c25ed081aaf41c7614f2f8f692f9a117
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 7f951439c25ed081aaf41c7614f2f8f692f9a117
Author: Jinelle Foley-Barnes <email address hidden>
Date: Thu Apr 30 18:17:16 2015 +1200

Behat Test: Required social media (Bug 1432988)

The test needs some work, but it's a rough layout

Change-Id: I1b2ae853a4b038df6083072da9eee29200c2f30d
(cherry picked from commit 026376c6311c2f475be9fd3c6f98229ce5e34316)

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers